{
   This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
}
unit Ufrmprogress;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ComCtrls, Ufrmmain, ExtCtrls;

type
  Tfrmprogress = class(TForm)
    ProgressBar1: TProgressBar;
    BitBtn1: TBitBtn;
    Timer1: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    isselected:boolean;
    imageprocess:Timageprocess;
    effecttype:Teffecttype;
    title:string;
    stopped:boolean;
  end;

var
  frmprogress: Tfrmprogress;

implementation

{$R *.dfm}

procedure Tfrmprogress.FormCreate(Sender: TObject);
begin
  stopped:=false;
end;

procedure Tfrmprogress.FormShow(Sender: TObject);
begin
  timer1.OnTimer:=frmmain.ProgressTimer;
  timer1.Enabled:=true;
end;

procedure Tfrmprogress.BitBtn1Click(Sender: TObject);
begin
  stopped:=true;
end;

end.
